package util.sqlparse.visitor.es.dense.data.update;

import com.alibaba.druid.sql.dialect.es.ast.EsParser;
import util.sqlparse.visitor.es.dense.Denseable;
import util.sqlparse.visitor.es.dense.ParamContext;
import util.sqlparse.visitor.es.memo.ApiResult;

public class BulkDense extends Denseable {
   public void denseTable(ParamContext.TableDenseContext params) {
      ApiResult api = params.getApi();
      EsParser.StatementContext statement = (EsParser.StatementContext)api.getStatement();
      EsParser.BulkStatementContext bulk = statement.bulkStatement();
      if (bulk != null) {
         super.denseTable(params);
      }
   }

   public void denseColumn(ParamContext.ColumnDenseContext params) {
      super.denseColumn(params);
   }

   public void denseRow(ParamContext.RowDenseContext params) {
      super.denseRow(params);
   }

   public void denseData(ParamContext.DenseAllContext params) {
      super.denseData(params);
   }
}
